Tonyu.klass.define({
  fullName: 'user.EnemyBox',
  shortName: 'EnemyBox',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_EnemyBox_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=4000000;//user.EnemyBox:0
      _this.THREE=Tonyu.globals.$THREE;
      //$LASTPOS=4000051;//user.EnemyBox:51
      _this.geometry = new _this.THREE.BoxGeometry(300,300,300);
      
      //$LASTPOS=4000104;//user.EnemyBox:104
      _this.material = new _this.THREE.MeshPhongMaterial({color: 16711680});
      
      //$LASTPOS=4000200;//user.EnemyBox:200
      _this.box = new _this.THREE.Mesh(_this.geometry,_this.material);
      
      //$LASTPOS=4000246;//user.EnemyBox:246
      _this.box.position.z=- 2000;
      //$LASTPOS=4000268;//user.EnemyBox:268
      _this.box.position.x=_this.rndFloat(- 300,300);
      //$LASTPOS=4000303;//user.EnemyBox:303
      _this.box.position.y=_this.rndFloat(- 300,300);
      //$LASTPOS=4000348;//user.EnemyBox:348
      Tonyu.globals.$scene.add(_this.box);
      //$LASTPOS=4000365;//user.EnemyBox:365
      Tonyu.globals.$pad=new Tonyu.classes.kernel.APad;
      //$LASTPOS=4000380;//user.EnemyBox:380
      while (_this.box.position.z<0) {
        Tonyu.checkLoop();
        //$LASTPOS=4000496;//user.EnemyBox:496
        _this.box.position.z+=10;
        //$LASTPOS=4000535;//user.EnemyBox:535
        _this.box.rotation.x+=0.01;
        //$LASTPOS=4000563;//user.EnemyBox:563
        _this.box.rotation.y+=0.01;
        //$LASTPOS=4000596;//user.EnemyBox:596
        _this.update();
        
      }
      //$LASTPOS=4000608;//user.EnemyBox:608
      Tonyu.globals.$scene.remove(_this.box);
    },
    fiber$main :function _trc_EnemyBox_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=4000000;//user.EnemyBox:0
      _this.THREE=Tonyu.globals.$THREE;
      //$LASTPOS=4000051;//user.EnemyBox:51
      _this.geometry = new _this.THREE.BoxGeometry(300,300,300);
      
      //$LASTPOS=4000104;//user.EnemyBox:104
      _this.material = new _this.THREE.MeshPhongMaterial({color: 16711680});
      
      //$LASTPOS=4000200;//user.EnemyBox:200
      _this.box = new _this.THREE.Mesh(_this.geometry,_this.material);
      
      //$LASTPOS=4000246;//user.EnemyBox:246
      _this.box.position.z=- 2000;
      //$LASTPOS=4000268;//user.EnemyBox:268
      _this.box.position.x=_this.rndFloat(- 300,300);
      //$LASTPOS=4000303;//user.EnemyBox:303
      _this.box.position.y=_this.rndFloat(- 300,300);
      //$LASTPOS=4000348;//user.EnemyBox:348
      Tonyu.globals.$scene.add(_this.box);
      //$LASTPOS=4000365;//user.EnemyBox:365
      Tonyu.globals.$pad=new Tonyu.classes.kernel.APad;
      
      _thread.enter(function _trc_EnemyBox_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=4000380;//user.EnemyBox:380
          case 1:
            if (!(_this.box.position.z<0)) { __pc=3     ; break; }
            //$LASTPOS=4000496;//user.EnemyBox:496
            _this.box.position.z+=10;
            //$LASTPOS=4000535;//user.EnemyBox:535
            _this.box.rotation.x+=0.01;
            //$LASTPOS=4000563;//user.EnemyBox:563
            _this.box.rotation.y+=0.01;
            //$LASTPOS=4000596;//user.EnemyBox:596
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            __pc=1;break;
          case 3     :
            
            //$LASTPOS=4000608;//user.EnemyBox:608
            Tonyu.globals.$scene.remove(_this.box);
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"geometry":{},"material":{},"box":{},"THREE":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_Main_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=2000064;//user.Main:64
      _this.THREE=_this.runPromise((function anonymous_81(s) {
        
        //$LASTPOS=2000092;//user.Main:92
        requirejs(["https://threejs.org/build/three.js"],s);
      }));
      //$LASTPOS=2000148;//user.Main:148
      Tonyu.globals.$THREE=_this.THREE;
      //$LASTPOS=2000162;//user.Main:162
      _this.canvas = $("<canvas>").attr({width: Tonyu.globals.$screenWidth,height: Tonyu.globals.$screenHeight});
      
      //$LASTPOS=2000312;//user.Main:312
      _this.renderer = new _this.THREE.WebGLRenderer({canvas: _this.canvas[0]});
      
      //$LASTPOS=2000457;//user.Main:457
      _this.scene = new _this.THREE.Scene();
      
      //$LASTPOS=2000488;//user.Main:488
      Tonyu.globals.$scene=_this.scene;
      //$LASTPOS=2000561;//user.Main:561
      _this.camera = new _this.THREE.PerspectiveCamera(45,1,1,10000);
      
      //$LASTPOS=2000620;//user.Main:620
      _this.camera.position.set(0,0,2000);
      //$LASTPOS=2000688;//user.Main:688
      _this.light = new _this.THREE.DirectionalLight(16777215);
      
      //$LASTPOS=2000748;//user.Main:748
      _this.scene.add(_this.light);
      //$LASTPOS=2000779;//user.Main:779
      _this.light.position.set(1,1,1);
      //$LASTPOS=2000808;//user.Main:808
      _this.renderer.render(_this.scene,_this.camera);
      //$LASTPOS=2000841;//user.Main:841
      new Tonyu.classes.user.PlayerBox;
      //$LASTPOS=2000856;//user.Main:856
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=2000874;//user.Main:874
        new Tonyu.classes.user.EnemyBox;
        //$LASTPOS=2000892;//user.Main:892
        _this.updateEx(60);
        
      }
    },
    fiber$main :function _trc_Main_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      
      _thread.enter(function _trc_Main_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=2000064;//user.Main:64
            _this.fiber$runPromise(_thread, (function anonymous_81(s) {
              
              //$LASTPOS=2000092;//user.Main:92
              requirejs(["https://threejs.org/build/three.js"],s);
            }));
            __pc=1;return;
          case 1:
            _this.THREE=_thread.retVal;
            
            //$LASTPOS=2000148;//user.Main:148
            Tonyu.globals.$THREE=_this.THREE;
            //$LASTPOS=2000162;//user.Main:162
            _this.canvas = $("<canvas>").attr({width: Tonyu.globals.$screenWidth,height: Tonyu.globals.$screenHeight});
            
            //$LASTPOS=2000312;//user.Main:312
            _this.renderer = new _this.THREE.WebGLRenderer({canvas: _this.canvas[0]});
            
            //$LASTPOS=2000457;//user.Main:457
            _this.scene = new _this.THREE.Scene();
            
            //$LASTPOS=2000488;//user.Main:488
            Tonyu.globals.$scene=_this.scene;
            //$LASTPOS=2000561;//user.Main:561
            _this.camera = new _this.THREE.PerspectiveCamera(45,1,1,10000);
            
            //$LASTPOS=2000620;//user.Main:620
            _this.camera.position.set(0,0,2000);
            //$LASTPOS=2000688;//user.Main:688
            _this.light = new _this.THREE.DirectionalLight(16777215);
            
            //$LASTPOS=2000748;//user.Main:748
            _this.scene.add(_this.light);
            //$LASTPOS=2000779;//user.Main:779
            _this.light.position.set(1,1,1);
            //$LASTPOS=2000808;//user.Main:808
            _this.renderer.render(_this.scene,_this.camera);
            //$LASTPOS=2000841;//user.Main:841
            new Tonyu.classes.user.PlayerBox;
            //$LASTPOS=2000856;//user.Main:856
          case 2:
            //$LASTPOS=2000874;//user.Main:874
            new Tonyu.classes.user.EnemyBox;
            //$LASTPOS=2000892;//user.Main:892
            _this.fiber$updateEx(_thread, 60);
            __pc=3;return;
          case 3:
            
            __pc=2;break;
          case 4     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    draw :function _trc_Main_draw(ctx) {
      "use strict";
      var _this=this;
      
      //$LASTPOS=2000940;//user.Main:940
      if (_this.renderer) {
        //$LASTPOS=2000954;//user.Main:954
        _this.renderer.render(_this.scene,_this.camera);
      }
      //$LASTPOS=2000990;//user.Main:990
      if (_this.canvas) {
        //$LASTPOS=2001002;//user.Main:1002
        ctx.drawImage(_this.canvas[0],0,0);
      }
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false},"draw":{"nowait":true}},"fields":{"canvas":{},"renderer":{},"scene":{},"camera":{},"light":{},"THREE":{}}}
});
Tonyu.klass.define({
  fullName: 'user.PlayerBox',
  shortName: 'PlayerBox',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: {
    main :function _trc_PlayerBox_main() {
      "use strict";
      var _this=this;
      
      //$LASTPOS=3000000;//user.PlayerBox:0
      _this.THREE=Tonyu.globals.$THREE;
      //$LASTPOS=3000051;//user.PlayerBox:51
      _this.geometry = new _this.THREE.BoxGeometry(50,50,50);
      
      //$LASTPOS=3000101;//user.PlayerBox:101
      _this.material = new _this.THREE.MeshPhongMaterial({color: 255});
      
      //$LASTPOS=3000197;//user.PlayerBox:197
      _this.box = new _this.THREE.Mesh(_this.geometry,_this.material);
      
      //$LASTPOS=3000253;//user.PlayerBox:253
      Tonyu.globals.$scene.add(_this.box);
      //$LASTPOS=3000270;//user.PlayerBox:270
      Tonyu.globals.$pad=new Tonyu.classes.kernel.APad;
      //$LASTPOS=3000285;//user.PlayerBox:285
      while (true) {
        Tonyu.checkLoop();
        //$LASTPOS=3000389;//user.PlayerBox:389
        _this.box.position.x+=Tonyu.globals.$pad.vx*5;
        //$LASTPOS=3000435;//user.PlayerBox:435
        _this.box.rotation.x+=0.01;
        //$LASTPOS=3000463;//user.PlayerBox:463
        _this.box.rotation.y+=0.01;
        //$LASTPOS=3000496;//user.PlayerBox:496
        _this.update();
        
      }
    },
    fiber$main :function _trc_PlayerBox_f_main(_thread) {
      "use strict";
      var _this=this;
      //var _arguments=Tonyu.A(arguments);
      var __pc=0;
      
      //$LASTPOS=3000000;//user.PlayerBox:0
      _this.THREE=Tonyu.globals.$THREE;
      //$LASTPOS=3000051;//user.PlayerBox:51
      _this.geometry = new _this.THREE.BoxGeometry(50,50,50);
      
      //$LASTPOS=3000101;//user.PlayerBox:101
      _this.material = new _this.THREE.MeshPhongMaterial({color: 255});
      
      //$LASTPOS=3000197;//user.PlayerBox:197
      _this.box = new _this.THREE.Mesh(_this.geometry,_this.material);
      
      //$LASTPOS=3000253;//user.PlayerBox:253
      Tonyu.globals.$scene.add(_this.box);
      //$LASTPOS=3000270;//user.PlayerBox:270
      Tonyu.globals.$pad=new Tonyu.classes.kernel.APad;
      
      _thread.enter(function _trc_PlayerBox_ent_main(_thread) {
        if (_thread.lastEx) __pc=_thread.catchPC;
        for(var __cnt=100 ; __cnt--;) {
          switch (__pc) {
          case 0:
            //$LASTPOS=3000285;//user.PlayerBox:285
          case 1:
            //$LASTPOS=3000389;//user.PlayerBox:389
            _this.box.position.x+=Tonyu.globals.$pad.vx*5;
            //$LASTPOS=3000435;//user.PlayerBox:435
            _this.box.rotation.x+=0.01;
            //$LASTPOS=3000463;//user.PlayerBox:463
            _this.box.rotation.y+=0.01;
            //$LASTPOS=3000496;//user.PlayerBox:496
            _this.fiber$update(_thread);
            __pc=2;return;
          case 2:
            
            __pc=1;break;
          case 3     :
            
            _thread.exit(_this);return;
          }
        }
      });
    },
    __dummy: false
  },
  decls: {"methods":{"main":{"nowait":false}},"fields":{"geometry":{},"material":{},"box":{},"THREE":{}}}
});

//# sourceMappingURL=concat.js.map